org.encog.util.arrayutil

## Class NormalizeArray

- java.lang.Object
- - org.encog.util.arrayutil.NormalizeArray

-     public class NormalizeArray
      extends Object

  Normalization is the process where data is adjusted to be inside a range. This range is typically -1 to 1. For more information about normalization, refer to the following page. http://www.heatonresearch.com/content/really-simple-introduction- normalization This class is used to normalize an array. Sometimes you would like to normalize an array, rather than an entire CSV file. If you would like to normalize an entire CSV file, you should make use of the class NormalizeCSV.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizeArray()` Construct the object, default NormalizedHigh and NormalizedLow to 1 and -1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getNormalizedHigh()`
    `double` | `getNormalizedLow()`
    `NormalizedField` | `getStats()`
    `double[]` | `process(double[] inputArray)` Normalize the array.
    `void` | `setNormalizedHigh(double theNormalizedHigh)` Set the high value to normalize to.
    `void` | `setNormalizedLow(double theNormalizedLow)` Set the low value to normalize to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizeArray

          public NormalizeArray()

      Construct the object, default NormalizedHigh and NormalizedLow to 1 and -1.

  - ### Method Detail

    - #### getNormalizedHigh

          public final double getNormalizedHigh()

      Returns:
        The high value to normalize to.

    - #### getNormalizedLow

          public final double getNormalizedLow()

      Returns:
        The low value to normalize to.

    - #### getStats

          public final NormalizedField getStats()

      Returns:
        Contains stats about the array normalized.

    - #### process

          public final double[] process(double[] inputArray)

      Normalize the array. Return the new normalized array.
      Parameters:
        `inputArray` - The input array.
      Returns:
        The normalized array.

    - #### setNormalizedHigh

          public final void setNormalizedHigh(double theNormalizedHigh)

      Set the high value to normalize to.
      Parameters:
        `theNormalizedHigh` - The high value to normalize to.

    - #### setNormalizedLow

          public final void setNormalizedLow(double theNormalizedLow)

      Set the low value to normalize to.
      Parameters:
        `theNormalizedLow` - The low value to normalize to.

Copyright © 2014. All Rights Reserved.